Bug 1779740 - Vsphere UPI 4.3 failiing with: Error applying plan: module.compute.data.ignition_config.ign[0]: data.ignition_config.ign.0: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'c' after top-level value
Summary: Vsphere UPI 4.3 failiing with: Error applying plan: module.compute.data.ignit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Joseph Callen
QA Contact: liujia
URL:
Whiteboard:
Depends On:
Blocks: 1779791
TreeView+ depends on / blocked
 
Reported: 2019-12-04 15:49 UTC by Jonathan Lebon
Modified: 2020-05-13 21:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1779791 (view as bug list)
Environment:
Last Closed: 2020-05-13 21:54:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2749 'None' closed Bug 1779740: vSphere UPI: set specific version of ignition provider 2020-07-12 16:29:51 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:54:04 UTC

Description Jonathan Lebon 2019-12-04 15:49:52 UTC
```
* module.compute.data.ignition_config.ign[0]: data.ignition_config.ign.0: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'c' after top-level value
* module.control_plane.data.ignition_config.ign[2]: data.ignition_config.ign.2: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'b' after top-level value
* module.control_plane.data.ignition_config.ign[1]: data.ignition_config.ign.1: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'b' in literal false (expecting 'a')
* module.bootstrap.data.ignition_config.ign: data.ignition_config.ign: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'b' after top-level value
* module.compute.data.ignition_config.ign[2]: data.ignition_config.ign.2: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'c' looking for beginning of value
* module.control_plane.data.ignition_config.ign[0]: data.ignition_config.ign.0: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'c' after top-level value
* module.compute.data.ignition_config.ign[1]: data.ignition_config.ign.1: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'e' after top-level value
```

https://prow.svc.ci.openshift.org/log?job=release-openshift-ocp-installer-e2e-vsphere-upi-4.3&id=438
https://prow.svc.ci.openshift.org/log?job=release-openshift-ocp-installer-e2e-vsphere-upi-serial-4.3&id=439

Comment 1 Jonathan Lebon 2019-12-04 15:51:53 UTC
Not sure if this is related to the other Vsphere UPI 4.3 failures we're seeing: https://bugzilla.redhat.com/show_bug.cgi?id=1752409. The failure mode is different, so I made it a different issue.

Comment 2 Sinny Kumari 2019-12-06 13:58:54 UTC
Comment from buildcop:

Seeing this bug on vsphere 4.2 UPI serial install as well https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-vsphere-upi-serial-4.2/191
Should I open another bug or this bug is sufficient to address the problem?

Comment 3 Joseph Callen 2019-12-06 14:35:59 UTC
(In reply to Sinny Kumari from comment #2)
> Comment from buildcop:
> 
> Seeing this bug on vsphere 4.2 UPI serial install as well
> https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-
> openshift-ocp-installer-e2e-vsphere-upi-serial-4.2/191
> Should I open another bug or this bug is sufficient to address the problem?

The 4.2 BZ is here: https://bugzilla.redhat.com/show_bug.cgi?id=1779793

Comment 4 Sinny Kumari 2019-12-06 14:41:40 UTC
Thanks Joseph for creating the 4.2 bug

Comment 6 liujia 2020-01-09 09:23:06 UTC
Not an installer issue, update terraform script and trigger installation with the script, terraform works well.

Comment 8 errata-xmlrpc 2020-05-13 21:54:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.